# MatSNESMFSetBase

Sets the vector U at which matrix vector products of the Jacobian are computed

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFSetBase(Mat J,Vec U)

Collective on Mat

### Input Parameters

| J | - the MatSNESMF matrix
| U | - the vector

Notes: This is rarely used directly

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages